Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-perl
Navigation:
Lists: gentoo-perl: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-perl@g.o
From: Yuval Yaari <yuval@g.o>
Subject: Re: Scalar::Util qw( weaken )
Date: Wed, 25 Mar 2009 12:16:44 +0200
Alex Efros wrote:
> This bug probably related to http://bugs.gentoo.org/show_bug.cgi?id=247585
>
> Because of broken Compress::Zlib we can't use cpan command anymore to
> reinstall Scalar::Util, and have to download/unpack/install it manually.
>
> So, it looks like only way to work around this issue is use hook in
> /etc/portage/bashrc to reinstall Scalar::Util on "postinst" EBUILD_PHASE
> for dev-lang/perl package. Is there any better solution exists?
>   
Oh, almost forgot:
The bug/fix is only relevant when switching between threaded and
unthreaded `perl` (the paths change...).

I could be wrong, but maybe you have/had 2 different installations of
Compress::Zlib/Scalar::Util, one from portage and one directly from cpan?
Just guessing...

Regards,

  ~Y


References:
Scalar::Util qw( weaken )
-- Alex Efros
Navigation:
Lists: gentoo-perl: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: Scalar::Util qw( weaken )
Next by thread:
Re: Scalar::Util qw( weaken )
Previous by date:
Re: Scalar::Util qw( weaken )
Next by date:
Re: Scalar::Util qw( weaken )


Updated Jun 17, 2009

Summary: Archive of the gentoo-perl mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.